/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __SAMPLE_APPLICATION_H
#define __SAMPLE_APPLICATION_H

#include "magnum.application.h"
#include "magnum.system.h"
#include "magnum.gui.h"

namespace magnum { namespace sample {
using magnum::application::Application;
using magnum::application::Message;
using magnum::gui::Window;
using magnum::system::Ticker;
using magnum::system::Process;

class GraphicsView;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class SampleApplication : public Application {
DeclareClass(SampleApplication, Application);
private:
	Window*				m_Window;
	GraphicsView*		m_Graphics;
	Ticker*				m_Ticker;

public:


protected:
	virtual bool		onRun();
	virtual bool		onQuit();
	virtual bool		onHandleMessage(const Message& );

};

}; };

#endif
