/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __ALGORITHM_FIND_H
#define __ALGORITHM_FIND_H

namespace magnum { namespace algorithm {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class I, class T> I find(const I& begin, const I& end, const T& item);
template<class I, class T> I findfirst(const I& begin, const I& end, const T& item);
template<class I, class T> I findlast(const I& begin, const I& end, const T& item);

}; };

#endif
