/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __APPLICATION_TASK_INL
#define __APPLICATION_TASK_INL

namespace magnum { namespace application {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Task::Task() {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Task::~Task() {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Performer* Task::getPerformer() const {
	Chain<Task>* chain = Chainable<Task>::getChain();
	return chain == NULL ? NULL : (Performer*)chain;
}

}; };

#endif
