/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __AUDIO3D_RESOURCE_H
#define __AUDIO3D_RESOURCE_H

#include "object.h"

namespace magnum { namespace audio3d {
using magnum::object::Object;
using magnum::types::String;

class Context;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class Resource : public Object, public magnum::object::Nonassignable {
DeclareClass(Resource, Object);
private:
	String				m_Name;

protected:
	inline Resource();

public:
	inline String		getName() const;
	inline void			setName(const char* );

protected:
	static inline Context*	getContext();
};


}; };

#endif
