/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __CONTAINER_MULTIMAP_H
#define __CONTAINER_MULTIMAP_H

#include "container.map.h"

namespace magnum {namespace container {

/*----------------------------------------------------------------------------------
----------------------------------------------------------------------------------*/
template<class K, class I> class Multimap : public Map<K, I> {
//DeclareClass(Multimap, (Map<K, I>));
public:
	typedef Map<K,I>::Iterator	Iterator;

public:
	Iterator		insert(const K& key, const I& item);
	Iterator		insert(const K& key);
	bool			remove(const K& key);
};

}; };

#endif
