/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __CONTAINER_VISITOR_INL
#define __CONTAINER_VISITOR_INL

namespace magnum { namespace container {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class T>
inline Visitor<T>::Visitor() {
}

	
/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class T>
inline void Visitor<T>::visit(T* item) {
	onVisit(item);
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class T>
inline void Visitor<T>::operator()(T* item) {
	onVisit(item);
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class T>
void Visitor<T>::onVisit(T* ) {
}

}; };

#endif
