/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/
#ifndef __DEBUG_INSTRUMENT_INL
#define __DEBUG_INSTRUMENT_INL

namespace magnum { namespace debug {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Instrument::Instrument(const char* n) : m_Name(n) {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline String Instrument::getName() const {
	return m_Name;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void Instrument::reset() {
	onReset();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void Instrument::proceed() {
	onProceed();
}

}; };

#endif