/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GEOMETRY_BODY_H
#define __GEOMETRY_BODY_H

namespace magnum { namespace geometry {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
enum Containment {
	Independent = 0,
	Section = 1,
	Subset = 2,
	Superset = 3
};


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class T, int dim> class Body {
public:
	static const int	Dimension = dim;
	typedef	T			Scalar;
};

}; };

#endif
