/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GEOMETRY_NULLCOLLIDER_H
#define __GEOMETRY_NULLCOLLIDER_H

namespace magnum { namespace geometry {

/*--------------------------------------------------------------------------*/
/**
 */
template<class T, int dim> class NullCollider : public Collider<T,dim> {
DeclareClass(NullCollider, Collider);
protected:
	virtual bool			onIntersect(const Line<T,dim>& ,Intersection<T,dim>* ) const;
	virtual bool			onIntersect(const Segment<T,dim>& ,Intersection<T,dim>* ) const;
	virtual bool			onIntersect(const Ray<T,dim>& ,Intersection<T,dim>* ) const;
};

}; };

#endif
