/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GEOMETRY_TRANSFORMCONSTRAINTS_H
#define __GEOMETRY_TRANSFORMCONSTRAINTS_H

#include "object.h"
#include "geometry.transform.h"

namespace magnum { namespace geometry {
using magnum::object::Object;
using magnum::types::String;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class T,int dim> class TransformConstraint : public Object {
DeclareClass(TransformConstraint, Object);
public:
	inline bool			constrain(Transform<T,dim>* );
	inline bool			constrain(Transform<T,dim>& );
	
protected:
	virtual bool		onConstrain(Transform<T,dim>& );	
};


}; };

#endif
