/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS_FILTER_H
#define __GRAPHICS_FILTER_H

#include "object.h"
#include "io.filter.h"
#include "container.chain.h"

namespace magnum {namespace graphics {
using magnum::object::Object;
using magnum::types::String;
using magnum::io::Filter;

class Image;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class FilterImage : public Filter<Image> {
DeclareClass(FilterImage, Filter<Image> );
protected:
	virtual Image*		onProcess(const Image* ) = 0;
};



}; };


#endif
