/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_ANIMATOR_H
#define __GRAPHICS3D_ANIMATOR_H

#include "graphics3d.animation.h"


namespace magnum { namespace graphics3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class Animator : public Object {
DeclareClass(Animator, Object);
protected:
	Animator();
	
public:
	inline void			setDirection(Animation::Direction );
	inline Animation::Direction	getDirection() const;

	inline void			setRepeat(Animation::Repeat );
	inline Animation::Repeat getRepeat() const;

	inline void			setInterpolation(Animation::Interpolation );
	inline Animation::Interpolation getInterpolation() const;

private:
	Animation::Direction m_Direction;
	Animation::Interpolation m_Interpolation;
	Animation::Repeat	m_Repeat;
};

}; };

#endif
