/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_ANIMATOR_INL
#define __GRAPHICS3D_ANIMATOR_INL

namespace magnum { namespace graphics3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void Animator::setDirection(Animation::Direction d) {
	m_Direction = d;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Animation::Direction Animator::getDirection() const {
	return m_Direction;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void Animator::setRepeat(Animation::Repeat r) {
	m_Repeat = r;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Animation::Repeat Animator::getRepeat() const {
	return m_Repeat;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void Animator::setInterpolation(Animation::Interpolation i) {
	m_Interpolation = i;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Animation::Interpolation Animator::getInterpolation() const {
	return m_Interpolation;
}


}; };

#endif
