/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_CAPABILITIES_INL
#define __GRAPHICS3D_CAPABILITIES_INL

namespace magnum {namespace graphics3d {


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline int Capabilities::getMaxTextures() const {
	return m_MaxTextures;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned int	Capabilities::getTexture1DMinSize() const {
	return m_MinTexture1DSize;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned int	Capabilities::getTexture1DMaxSize() const {
	return m_MaxTexture1DSize;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Dimension<int>& Capabilities::getTexture2DMinSize() const {
	return m_MinTexture2DSize;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Dimension<int>& Capabilities::getTexture2DMaxSize() const {
	return m_MaxTexture2DSize;
}


}; };

#endif
