/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_INTERSECTION_INL
#define __GRAPHICS3D_INTERSECTION_INL

namespace magnum { namespace graphics3d {

/*--------------------------------------------------------------------------*/
/**
 */
inline Intersection::Intersection() : m_Model(NULL), m_Mesh(NULL) {
}


/*--------------------------------------------------------------------------*/
/**
 */
inline void Intersection::setModel(const Model* m) {
	m_Model = m;
}


/*--------------------------------------------------------------------------*/
/**
 */
inline const Model* Intersection::getModel() const {
	return m_Model;
}


/*--------------------------------------------------------------------------*/
/**
 */
inline void Intersection::setMesh(const Mesh* m) {
	m_Mesh = m;
}


/*--------------------------------------------------------------------------*/
/**
 */
inline const Mesh* Intersection::getMesh() const {
	return m_Mesh;
}
	
}; };

#endif
