/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_LAYER_H
#define __GRAPHICS3D_LAYER_H

#include "container.chain.h"
#include "graphics3d.resource.h"

namespace magnum { namespace graphics3d {
using magnum::container::Chainable;
using magnum::container::Chain;

class LayerGroup;

/*--------------------------------------------------------------------------*/
/**
 */
class Layer : public Resource, private Chainable<Layer> {
DeclareClass(Layer, Resource);
friend LayerGroup;
friend Chain<Layer>;
public:
	inline void			render();
	
protected:
	virtual void		onRender();
};


}; };

#endif
