/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_NORMALGENERATOR_H
#define __GRAPHICS3D_NORMALGENERATOR_H

#include "geometry.normalgenerator.h"

namespace magnum { namespace graphics3d {
using magnum::math::Vector3;
using magnum::object::Object;
using magnum::types::String;

class IndexMesh;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class NormalGenerator : public Object {
DeclareClass(NormalGenerator, Object);
public:
	void				process(IndexMesh* );

private:
	template<class I>
	void				processType(IndexMesh* );
};

}; };

#endif
