/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_OPENGL_H
#define __GRAPHICS3D_OPENGL_H

#if defined(__FORWINDOWS__)
#	pragma comment (lib, "winmm.lib")     /* link with Windows MultiMedia lib */
#	pragma comment (lib, "opengl32.lib")  /* link with Microsoft OpenGL lib */
#	pragma comment (lib, "glu32.lib")     /* link with OpenGL Utility lib */
#elif defined(__FORX11__)
#	include <X11/Xlib.h>
#endif

#define GLEW_STATIC
#include "GL/glew.h"
#if defined(__FORWINDOWS__)
#	include "GL/wglew.h"
#elif defined(__FORX11__)
#	include "GL/glxew.h"
#endif

#endif
