/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_PARAMETER_H
#define __GRAPHICS3D_PARAMETER_H

#include "object.h"

namespace magnum {namespace graphics3d {

class Parameters {
public:
	static const char Model[];
	static const char ModelInverse[];
	static const char View[];
	static const char ViewInverse[];
	static const char ModelView[];
	static const char ModelViewInverse[];
	static const char BlendIndex0[];
	static const char BlendIndex1[];
	static const char BlendWeight[];
	static const char AnimationName[];
	static const char AnimationData[];
	static const char BoneMatrix[];
};

}; };

#endif
