/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3d_PROJECTIONVOLUME_INL
#define __GRAPHICS3d_PROJECTIONVOLUME_INL

namespace magnum { namespace graphics3d {


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned int ProjectionVolume::getIndexRange() {
	return m_IndexRange;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline IndexBuffer*	ProjectionVolume::getIndexBuffer() {
	return m_IndexBuffer;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline VertexBuffer* ProjectionVolume::getVertexBuffer() {
	return m_VertexBuffer;
}

}; };

#endif
