/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_SOLIDBACKGROUND_H
#define __GRAPHICS3D_SOLIDBACKGROUND_H

#include "graphics3d.backgroundlayer.h"

namespace magnum { namespace graphics3d {

/*--------------------------------------------------------------------------*/
/**
 */
class SolidBackground : public BackgroundLayer {
DeclareClass(SolidBackground, BackgroundLayer);
public:
	inline void			setColourClear(bool );
	inline bool			getColourClear();
	inline void			setColourValue(const Colour<float>& );
	inline const Colour<float>& getColourValue() const;

protected:
	virtual void		onRender();

private:
	Colour<float>		m_ColourValue;
};

}; };

#endif
