/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_VERTEXPROGRAM_H
#define __GRAPHICS3D_VERTEXPROGRAM_H

#include "graphics3d.shaderprogram.h"

namespace magnum { namespace graphics3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class VertexProgram : public ShaderProgram {
DeclareClass(VertexProgram, ShaderProgram);
protected:
	inline VertexProgram(unsigned int );
	inline ~VertexProgram();
	
public:	
	static VertexProgram*	create();
	static VertexProgram*	create(const char* );
};

}; };

#endif
