/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRID_FILTER_H
#define __GRID_FILTER_H

#include "io.filter.h"
#include "grid.grid2d.h"
#include "grid.grid3d.h"

namespace magnum { namespace grid {
using magnum::object::Object;
using magnum::types::String;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class S, class T = S>
class Filter2d : public magnum::io::Filter<Grid2d<S>, Grid2d<T> > {
DeclareClass(Filter2d, magnum::io::Filter);
};

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class S, class T = S>
class Filter3d : public magnum::io::Filter<Grid3d<S>, Grid3d<T> > {
DeclareClass(Filter3d, magnum::io::Filter);
};

}; };

#endif
