/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GUI3D_CONTAINER_INL
#define __GUI3D_CONTAINER_INL

namespace magnum { namespace gui3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Container::Iterator Container::begin() const {
	return m_Views.begin();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Container::Iterator Container::end() const {
	return m_Views.end();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Container::Iterator Container::at(View* v) const {
	return m_Views.at(v);
}

}; };

#endif
