/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GUI3D_FONTMAP_INL
#define __GUI3D_FONTMAP_INL

namespace magnum { namespace gui3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Font* FontMap::getFont() const {
	return m_Font;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Bitmap* FontMap::getBitmap() const {
	return m_Bitmap;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const FontMap::Glyph& FontMap::operator[](unsigned int g) const {
	return m_Glyphs[g];
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline FontMap::Glyph& FontMap::operator[](unsigned int g) {
	return m_Glyphs[g];
}


}; };

#endif
