/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __INPUT_MARKER_INL
#define __INPUT_MARKER_INL

namespace magnum { namespace input {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Vector3<float>& Marker::getPosition() const {
	return m_Position;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Space* Marker::getSpace() const {
	return m_Space;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void Marker::setCalibration(const Vector3<float>& c) {
	m_Calibration = c;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Vector3<float>& Marker::getCalibration() const {
	return m_Calibration;
}

}; };

#endif
