/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __MAGNUM_PLOTS3D_H
#define __MAGNUM_PLOTS3D_H

#include "magnum.base.h"
#include "magnum.debug.h"
#include "magnum.container.h"
#include "magnum.math.h"


#include "plots3d.exception.h"
#include "plots3d.plot.h"
#include "plots3d.plot2d.h"
#include "plots3d.plot3d.h"
#include "plots3d.contourplot2d.h"
#include "plots3d.functionplot2d.h"
#include "plots3d.contourplot3d.h"
#include "plots3d.functionplot3d.h"
#include "plots3d.volumeplot3d.h"
#include "plots3d.surfaceplot3d.h"
#include "plots3d.lineplot3d.h"
#include "plots3d.parametricplot2d.h"
#include "plots3d.parametricplot3d.h"
#include "plots3d.parametricsurfaceplot3d.h"

#include "plots3d.plot.inl"
#include "plots3d.plot2d.inl"
#include "plots3d.plot3d.inl"
#include "plots3d.contourplot2d.inl"
#include "plots3d.functionplot2d.inl"
#include "plots3d.contourplot3d.inl"
#include "plots3d.functionplot3d.inl"
#include "plots3d.volumeplot3d.inl"
#include "plots3d.lineplot3d.inl"
#include "plots3d.surfaceplot3d.inl"
#include "plots3d.parametricplot2d.inl"
#include "plots3d.parametricplot3d.inl"
#include "plots3d.parametricsurfaceplot3d.inl"

#endif
