/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/
#ifndef __MATH_LINEARINTERPOLATOR_H
#define __MATH_LINEARINTERPOLATOR_H

#include "math.interpolator1d.h"

namespace magnum { namespace math {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class S, class T> class LinearInterpolator : public Interpolator1d<S,T> {
DeclareClass(LinearInterpolator, Interpolator1d);
private:
	int					m_MaxIndex;

public:
	inline LinearInterpolator();
	inline LinearInterpolator(const T* ,unsigned int ,S = S(1));

	inline T			operator()(const S& ) const;
};

}; };

#endif
