/* 
  Magnum 
  Copyright (C) 2002-2006 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __MEDIA_BUFFERFACTORY_H
#define __MEDIA_BUFFERFACTORY_H

#include "object.h"

namespace magnum { namespace media {
using magnum::object::Object;
using magnum::types::String;

class Buffer;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class BufferFactory : public Object, private magnum::object::Noncopyable {
DeclareClass(BufferFactory, Object);
public:
	Buffer*			createBuffer();
	
	void			setBufferSize(unsigned int );
	
	void			clear();
};

}; };

#endif
