/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __MEDIA_FILTER_INL
#define __MEDIA_FILTER_INL

namespace magnum { namespace media {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Filter::Filter(Device* dev, const char* name) : Node(dev, name, Node::Filter) {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Filter::~Filter() {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline InputPin* Filter::getInputPin() {
	return Node::getInputPin(Pin::DefaultInput);
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline OutputPin* Filter::getOutputPin() {
	return Node::getOutputPin(Pin::DefaultOutput);
}

}; };

#endif
