/* 
  Magnum 
  Copyright (C) 2002-2006 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __NET_MIMEHEADERS_INL
#define __NET_MIMEHEADERS_INL

namespace magnum { namespace net {

/*--------------------------------------------------------------------------*/
/**
 */
inline bool MimeHeaders::isEmpty() const {
	return m_Headers.isEmpty();
}


/*--------------------------------------------------------------------------*/
/**
 */
inline unsigned int	MimeHeaders::getSize() const {
	return m_Headers.getSize();
}


/*--------------------------------------------------------------------------*/
/**
 */
inline MimeHeaders::Iterator MimeHeaders::begin() const {
	return m_Headers.begin();
}


/*--------------------------------------------------------------------------*/
/**
 */
inline MimeHeaders::Iterator MimeHeaders::end() const {
	return m_Headers.end();
}


/*--------------------------------------------------------------------------*/
/**
 */
inline void MimeHeaders::writeTo(OutputStream& o) const {
	writeTo(&o);
}

}; };

#endif
