/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __PLOTS3D_PLOT2D_H
#define __PLOTS3D_PLOT2D_H

#include "geometry.bounds.h"
#include "plots3d.plot.h"

namespace magnum { namespace plots3d {
using magnum::geometry::Bounds2;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class Plot2d : public Plot {
DeclareClass(Plot2d, Plot);
public:
	inline const Bounds2<float>& getBounds() const;

protected:
	inline void			publishBounds(const Bounds2<float>& );
	inline void			clearBounds();

private:
	Bounds2<float>		m_Bounds;
};

}; };

#endif
