/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __PLOTS3D_PLOT3D_INL
#define __PLOTS3D_PLOT3D_INL

namespace magnum { namespace plots3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Bounds3<float>& Plot3d::getBounds() const {
	return m_Bounds;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void Plot3d::publishBounds(const Bounds3<float>& b) {
	m_Bounds = b;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void Plot3d::clearBounds() {
	m_Bounds.empty();
}

}; };

#endif
