/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __SCENE3D_INTERSECTION_H
#define __SCENE3D_INTERSECTION_H

#include "graphics3d.intersection.h"

namespace magnum { namespace scene3d {

class Node;


/*--------------------------------------------------------------------------*/
/**
 */
class Intersection : public graphics3d::Intersection {
public:
	inline Intersection();
	
	inline void		setNode(const Node* );
	inline const Node* getNode() const;
	
private:
	const Node*		m_Node;
};

}; };

#endif
