/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __SCENE3D_INTERSECTION_INL
#define __SCENE3D_INTERSECTION_INL

namespace magnum { namespace scene3d {

/*--------------------------------------------------------------------------*/
/**
 */
Intersection::Intersection() : m_Node(NULL) {
}


/*--------------------------------------------------------------------------*/
/**
 */
inline void Intersection::setNode(const Node* n) {
	m_Node = n;
}


/*--------------------------------------------------------------------------*/
/**
 */
inline const Node* Intersection::getNode() const {
	return m_Node;
}

}; };

#endif
