/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __SCENE3D_PHYSICSCONTROLLER_INL
#define __SCENE3D_PHYSICSCONTROLLER_INL

namespace magnum { namespace scene3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class T> inline PhysicsController<T>::PhysicsController() {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class T> inline PhysicsController<T>::PhysicsController(T* m) : Controller(m) {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class T> void PhysicsController<T>::onProcess(const Timer& ) {
	ASSERT(m_Target != NULL);
	m_Target->setTransform(Transform<float>(m_Body.getRotation(), m_Body.getPosition()));
}

}; };

#endif
