/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __SYSTEM_TIMER_INL
#define __SYSTEM_TIMER_INL

namespace magnum { namespace system {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Timer::Timer(uint64 t) {
	init(t);
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline uint64 Timer::getCurrent() const {
	return m_Current;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline uint64 Timer::getPrevious() const {
	return m_Previous;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline uint64 Timer::getElapsed() const {
	return m_Elapsed;
}

}; };

#endif
