/* 
  Magnum 
  Copyright (C) 2002-2006 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#include "media.audiorenderer.h"

#include "media.audiorenderer.inl"


namespace magnum { namespace media {

const char AudioRenderer::NodeName[] = "AudioRenderer";
Node::Type AudioRenderer::NodeType = Node::Output;
Node* AudioRenderer::NodeCreator(Device* dev, const char* name) {
	return new AudioRenderer(dev, name);
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
AudioRenderer::AudioRenderer(Device* dev, const char* name) : AudioConsumer(dev, name), m_InputPin(this) {
}

}; };
