#include "magnum.h"

using magnum::system::Ticker;
using magnum::system::Thread;

class MyTicker : public Ticker {
public:
	int			ticks;
protected:
	void		onTick();
};


void MyTicker::onTick() {
	ticks++;
	printf("  Tick!\n");
}


int main() {
	MyTicker ticker;

	ticker.ticks = 0;

	printf("Ticker: 100ms, waiting 2000ms\n");
	ticker.setPeriod(100);
	ticker.start();
	Thread::sleep(2000);
	ticker.stop();

	printf("Ticker: 500ms, waiting 2000ms\n");
	ticker.setPeriod(500);
	ticker.start();
	Thread::sleep(2000);
	//ticker.stop();
	
	printf("Ticker: 200ms, direct change, waiting 2000ms\n");
	ticker.setPeriod(200);
	Thread::sleep(2000);
	
	printf("Ticker: Kill!");
	ticker.kill();

	return 1;
}