/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __AUDIO3D_RESOURCE_INL
#define __AUDIO3D_RESOURCE_INL

namespace magnum { namespace audio3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Resource::Resource() {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline String Resource::getName() const {
	return m_Name;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void Resource::setName(const char* name) {
	m_Name = name;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Context* Resource::getContext() {
	Context* c = Context::g_Current;
	if(c != NULL) {
		ASSERT(c->m_Context == alcGetCurrentContext());
	}
	return c;
}


}; };

#endif
