/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __CONTAINER_VISITOR_H
#define __CONTAINER_VISITOR_H

#include "object.h"

namespace magnum { namespace container {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class T> class Visitor : public Object {
DeclareClass(Visitor, Object);
protected:
	inline Visitor();
	
public:
	inline void		visit(T* );
	inline void		operator()(T* );
	
protected:
	virtual void	onVisit(T* );	
};

}; };

#endif
