/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __FREETYPE_LIBRARY_INL
#define __FREETYPE_LIBRARY_INL

namespace magnum { namespace freetype {


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline FT_Library Library::lock() {
	m_Mutex.lock();
	return m_Library;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void Library::unlock() {
	m_Mutex.unlock();
}


}; };

#endif
