/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_BOUNDS_H
#define __GRAPHICS3D_BOUNDS_H

#include "geometry.sphere.h"
#include "geometry.alignedbox.h"

namespace magnum { namespace graphics3d {
using magnum::geometry::Sphere;
using magnum::geometry::AlignedBox;

class VertexBuffer;

template<class T> bool fitSphere(VertexBuffer* , Sphere<T,3>* );
template<class T> bool fitAlignedBox(VertexBuffer* , AlignedBox<T,3>* );

}; };

#endif
