/* 
  Magnum 
  Copyright (C) 2002-2006 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_ENVBUMPSHADER_H
#define __GRAPHICS3D_ENVBUMPSHADER_H

#include "graphics3d.fixedshader.h"


namespace magnum { namespace graphics3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class EnvironmentBumpShader : public FixedShader {
DeclareClass(EnvironmentBumpShader, FixedShader);
public:
	EnvironmentBumpShader(Features = DefaultFeatures);

	static bool			isSupported();

protected:
	virtual void		onSelect() const;
	virtual void		onDeselect() const;
	
	virtual void		onCompileSelect(Assembler& ) const;
	virtual void		onCompileDeselect(Assembler& ) const;
};


}; };

#endif
