/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_JOINT_INL
#define __GRAPHICS3D_JOINT_INL


namespace magnum { namespace graphics3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Joint::Joint() {
	m_Name[0] = 0;
	m_Handle = 0;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Joint::Joint(const char* name, Joint::Handle hnd) {
	strncpy(m_Name, name, sizeof(m_Name));
	m_Handle = hnd;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const char* Joint::getName() const {
	return m_Name;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Joint::Handle Joint::getHandle() const {
	return m_Handle;
}

}; };

#endif
