/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_PIXELPROGRAM_H
#define __GRAPHICS3D_PIXELPROGRAM_H

#include "graphics3d.shaderprogram.h"

namespace magnum { namespace graphics3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class PixelProgram : public ShaderProgram {
DeclareClass(PixelProgram, ShaderProgram);
protected:
	inline PixelProgram(unsigned int );
	inline ~PixelProgram();

public:	
	static PixelProgram*	create();
	static PixelProgram*	create(const char* );
};

}; };

#endif
