/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRAPHICS3D_WEIGHTBUFFER_INL
#define __GRAPHICS3D_WEIGHTBUFFER_INL

namespace magnum { namespace graphics3d {


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned int	WeightBuffer::getSize() const {
	return m_Size;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned int	WeightBuffer::getLength() const {
	return m_Buffer.getSize() * sizeof(int32);
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const void* WeightBuffer::lock() {
	return &m_Buffer[0];
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void WeightBuffer::unlock() {
}

}; };

#endif
