/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GRID_FILTER3D_SOBEL_H
#define __GRID_FILTER3D_SOBEL_H

#include "math.vector3.h"
#include "grid.filter.h"

namespace magnum { namespace grid {
using magnum::math::Vector3;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class T>
class FilterSobel3d : public Filter3d<T, Vector3<T> > {
DeclareClass(FilterSobel3d, Filter3d);
protected:
	virtual Grid3d<Vector3<T> >* onProcess(const Grid3d<T>* );
};

}; };

#endif
