/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GUI_BOX_INL
#define __GUI_BOX_INL

namespace magnum { namespace gui {


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void	Box::setLineColour(const Colour<byte> col) {
	m_LineColour = col;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Colour<byte>& Box::getLineColour() const {
	return m_LineColour;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void	Box::setFillColour(const Colour<byte> col) {
	m_FillColour = col;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Colour<byte>& Box::getFillColour() const {
	return m_FillColour;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void	Box::setLineWidth(int w) {
	m_LineWidth = w;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline int	Box::getLineWidth() const {
	return m_LineWidth;
}


}; };

#endif
