/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GUI_EXCEPTION_H
#define __GUI_EXCEPTION_H

#include "object.exception.h"

namespace magnum { namespace gui {
using magnum::object::Object;
using magnum::types::String;
using magnum::object::Exception;

DeclareException(GuiException, Exception);
DeclareException(BitmapException, GuiException);
DeclareException(BitmapMemoryException, BitmapException);
DeclareException(BitmapFormatException, BitmapException);

}; };

#endif
