/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GUI_OPENGL_INL
#define __GUI_OPENGL_INL

namespace magnum { namespace gui {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline int OpenGL::getColourBits() const {
	return m_ColourBits;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void	OpenGL::setColourBits(int bits) {
	m_ColourBits = bits;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline int OpenGL::getAlphaBits() const {
	return m_AlphaBits;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void	OpenGL::setAlphaBits(int bits) {
	m_AlphaBits = bits;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline int OpenGL::getStencilBits() const {
	return m_StencilBits;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void	OpenGL::setStencilBits(int bits) {
	m_StencilBits = bits;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline int OpenGL::getAccumulationBits() const {
	return m_AccumulationBits;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void	OpenGL::setAccumulationBits(int bits) {
	m_AccumulationBits = bits;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline int OpenGL::getDepthBits() const {
	return m_DepthBits;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void	OpenGL::setDepthBits(int bits) {
	m_DepthBits = bits;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline int OpenGL::getAuxBits() const {
	return m_AuxBits;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void	OpenGL::setAuxBits(int bits) {
	m_AuxBits = bits;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline magnum::graphics3d::Context* OpenGL::getContext() const {
	return m_Context;
}
}; };
#endif
