/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __GUI3D_CONTROL_H
#define __GUI3D_CONTROL_H

#include "gui3d.view.h"
#include "application.message.h"

namespace magnum { namespace gui3d {
using magnum::application::Message;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class Control : public View {
DeclareClass(Control, View);
private:
	Message					m_Message;
	
public:
	Control(const Rectangle<float>& ,const Message& );
	
	inline const Message&	getMessage() const;
	inline void				setMessage(const Message& );
	
protected:
	virtual bool			onAction();
};

}; };

#endif
