/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/
#ifndef __MATH_BILINEARINTERPOLATOR_H
#define __MATH_BILINEARINTERPOLATOR_H

#include "math.interpolator2d.h"

namespace magnum { namespace math {
using magnum::container::Array;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class S, class T> class BilinearInterpolator : public Interpolator2d<S,T> {
DeclareClass(BilinearInterpolator, Interpolator2d);
public:
	inline BilinearInterpolator();
	inline BilinearInterpolator(const T* ,unsigned int ,unsigned int );
	inline BilinearInterpolator(const T* ,unsigned int ,unsigned int ,const Vector<S,2>& );

	inline T			operator()(const Vector<S,2>& ) const;
	inline T			operator()(const S& ,const S& ) const;
};

}; };

#endif
