/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __PHYSICS_JOINT_H
#define __PHYSICS_JOINT_H

#include "container.chain.h"


namespace magnum { namespace physics {
using magnum::object::Object;
using magnum::container::Chainable;

class Domain;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class Joint : public Object, private Chainable<Joint> {
DeclareClass(Joint, Object);
protected:
	dJointID			m_Joint;

protected:
	inline Joint(Domain* d, dJointID id);

public:
	inline ~Joint();

};


}; };

#endif
