/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __PLOTS3D_PARAMETRICPLOT3D_H
#define __PLOTS3D_PARAMETRICPLOT3D_H

#include "plots3d.lineplot3d.h"

namespace magnum { namespace plots3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class ParametricPlot3d : public LinePlot3d {
DeclareClass(ParametricPlot3d, LinePlot3d);
public:
	ParametricPlot3d();
	
	template<class F>
	void				plot(const F& ,float mi,float ma);
};

}; };

#endif
