/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __SCENE3D_AUDIOCONTEXT_H
#define __SCENE3D_AUDIOCONTEXT_H

#include "audio3d.context.h"

namespace magnum { namespace scene3d {
using magnum::object::Object;
using magnum::types::String;

class Listener;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class AudioContext : public Object {
DeclareClass(AudioContext, Object);
public:
	AudioContext(magnum::audio3d::Context* );
	~AudioContext();
	
	inline magnum::audio3d::Context* getContext() const;

private:
	magnum::audio3d::Context* m_Context;
};

}; };

#endif
