/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __SCENE3D_CUBEMAPGENERATOR_INL
#define __SCENE3D_CUBEMAPGENERATOR_INL

namespace magnum { namespace scene3d {


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Universe* CubemapGenerator::getUniverse() const {
	return m_Universe;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Marker* CubemapGenerator::getMarker() const {
	return m_Marker;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void CubemapGenerator::attachMarker(Marker* v) {
	ASSERT(v != NULL);
	m_Marker = v;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void CubemapGenerator::detachMarker() {
	m_Marker = NULL;
}

}; };

#endif