/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/
#ifndef __SYSTEM_BARRIER_INL
#define __SYSTEM_BARRIER_INL


namespace magnum {namespace system {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void Barrier::setWaiters(unsigned int w) {
    m_Waiters = w;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned int Barrier::getWaiters() const {
	return m_Waiters;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void Barrier::wait(unsigned int w) {
    m_Waiters = w;
    wait();
}

}; };

#endif
