/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#ifndef __SYSTEM_TICKER_INL
#define __SYSTEM_TICKER_INL

namespace magnum { namespace system {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned int Ticker::getPeriod() const {
	return m_Period;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline bool Ticker::isAlive() const {
	return m_Alive;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline const Thread* Ticker::getThread() const {
	return &m_Thread;
}


}; };

#endif
