/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Kupferschmidt. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Kupferschmidt  (k.kupferschmidt@dimajix.de)
*/

#include "graphics3d.mesh.h"
#include "graphics3d.context.h"
#include "graphics3d.material.h"
#include "graphics3d.shader.h"
#include "graphics3d.appearance.h"

#include "object.inl"
#include "object.pointer.inl"
#include "base.string.inl"
#include "system.thread.inl"
#include "graphics3d.mesh.inl"
#include "graphics3d.texture.inl"
#include "graphics3d.context.inl"
#include "graphics3d.material.inl"
#include "graphics3d.resource.inl"


namespace magnum { namespace graphics3d {

const GLenum Mesh::g_OglType[] = {
	0,
	GL_UNSIGNED_BYTE,
	GL_UNSIGNED_SHORT,
	0,
	GL_UNSIGNED_INT };

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
Mesh::Mesh() {
	m_Primitive = TriangleList;
}


/*--------------------------------------------------------------------------*/
/**
 */
bool Mesh::onUpdateBounds() {
	return false;
}


/*--------------------------------------------------------------------------*/
/**
 */
bool Mesh::onUpdateCollider() {
	return false;
}


}; };
