#ifndef __GUI3DTEST_H
#define __GUI3DTEST_H

#include "magnum.gui.h"
#include "magnum.gui3d.h"
#include "magnum.graphics3d.h"
#include "magnum.graphics.h"

namespace magnum { namespace sample {
using namespace magnum::application;
using namespace magnum::graphics;


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class OpenGLView : public magnum::gui::OpenGL {
public:
	Vector3<float>		m_trans;			/* current translation */
	float				m_rot[2];			/* current rotation */
	Point<float>		m_mouse, m_omouse;
						
	magnum::graphics3d::Context*	m_Context;
	magnum::gui::Window*			m_Window;
	magnum::gui3d::Root*			m_Root;

public:
	OpenGLView(Rectangle<float> rect);

protected:
	void		onRender();

	bool		onAttachWindow();
	bool		onDetachWindow();
	bool		onMouseMove(const Point<float>& pt, int but);
};


}; };

#endif
