/* 
  Magnum 
  Copyright (C) 2002-2005 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __SAMPLE_PLOTS_H
#define __SAMPLE_PLOTS_H

#include "magnum.math.h"
#include "magnum.plots3d.h"

namespace magnum { namespace sample {
using magnum::plots3d::Plot;
using magnum::plots3d::Plot2d;
using magnum::plots3d::Plot3d;

Plot3d* createFunctionPlot();
Plot3d* createParametricPlot();
Plot3d* createParametricSurfacePlot();

}; };

#endif
